/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         $("head").append("<link href='css/flipclock.css' rel='stylesheet' type='text/css'>");
         
         TotalTextArea = 3;
         
         clock = $('#Stage_CRONOMETRO').FlipClock({
         		clockFace: 'MinuteCounter',
         		autoStart: false
         });
         
         $(".flip-clock-label").css({"color":"transparent","font-size":"18px"});
         
         runCrono = function(){
           	clock = $('#Stage_CRONOMETRO').FlipClock({
         		clockFace: 'MinuteCounter',
         		autoStart: false
         	});
         	$(".flip-clock-label").css({"color":"transparent","font-size":"18px"});	
         };
         
         
         
         

      });
      //Edge binding end

      

      Symbol.bindElementAction(compId, symbolName, "${_bt_reinicio}", "click", function(sym, e) {
         runCrono();
         clock.stop();
         sym.getSymbol("bt_play_pausa").stop("up");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_reinicio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_reinicioCopy}", "mouseenter", function(sym, e) {
         sym.stop("down");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_reinicioCopy}", "mouseleave", function(sym, e) {
         sym.stop("up");

      });
      //Edge binding end

   })("bt_reinicio");
   //Edge symbol end:'bt_reinicio'

   //=========================================================
   
   //Edge symbol: 'bt_reinicio_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_play_pausa}", "click", function(sym, e) {
         sym.stop("down");
         clock.start();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_play_pausa2}", "click", function(sym, e) {
         sym.stop("up");
         clock.stop();

      });
      //Edge binding end

   })("bt_play_pausa");
   //Edge symbol end:'bt_play_pausa'

})(jQuery, AdobeEdge, "EDGE-1010687340");